#include "partition.h"
//#include "grader.cpp"
#include <bits/stdc++.h>
using namespace std;

const int MAXN=1e5;

int c[MAXN];
int n;
bool v1[MAXN];

vector<int> solve(vector<int> a)
{
    n=a.size();
    vector<int> ans;
    for(int i=0; i<n; i++)
    {
        c[a[i]]++;
    }
    for(int i=0; i<n; i++)
    {
        if(v1[a[i]])
        {
            continue;
        }
        for(int j=0; j<c[a[i]]/2; j++)
        {
            ans.push_back(a[i]);
        }
        v1[a[i]]=1;
    }
    for(int i=0; i<n/2; i++)
    {
        ans.push_back(ans[i]);
    }
    return ans;
}
